Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 234692 - SElinux avc denied messages
Summary: SElinux avc denied messages
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: dovecot
Version: 6
Hardware: All
OS: Linux
medium
low
Target Milestone: ---
Assignee: Tomas Janousek
QA Contact:
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2007-03-31 11:19 UTC by Jonathan Underwood
Modified: 2014-01-21 22:57 UTC (History)
3 users (show)

Fixed In Version: selinux-policy-2.4.6-54.fc6
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2007-04-11 14:23:07 UTC


Attachments (Terms of Use)

Description Jonathan Underwood 2007-03-31 11:19:31 UTC
Description of problem:
I notice that starting dovecot causes the following avc denied message to appear
in dmesg:

audit(1175339294.718:5): avc:  denied  { create } for  pid=23162 comm="dovecot"
scontext=user_u:system_r:dovecot_t:s0 tcontext=user_u:system_r:dovecot_t:s0
tclass=netlink_route_socket

As far as I can tell, this doesn't effect functionality.

Version-Release number of selected component (if applicable):
selinux-policy-targeted-2.4.6-46.fc6
selinux-policy-2.4.6-46.fc6
dovecot-1.0-2.rc28.fc6

How reproducible:


Steps to Reproduce:
1./sbin/service dovecot restart
2.
3.

Comment 1 Tomas Janousek 2007-04-03 12:32:48 UTC
I don't see such messages on my fc6, did you change anything in the config?
Adding Dan to Cc -- any tips on this?

Comment 2 Jonathan Underwood 2007-04-03 13:01:31 UTC
The only two changes I made to the config are
protocols = imaps
listen = localhost

Actually, on removing each of those in turn and re-adding them, I see it is the
presence of listen = localhost that gives the avc denied message - removing that
gives no message.

Comment 3 Daniel Walsh 2007-04-03 13:20:38 UTC
Fixed in selinux-policy-2.4.6-51.fc6


Note You need to log in before you can comment on or make changes to this bug.